MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000162VCMIMechanics - Adventure Mappublic2009-10-15 08:392013-06-10 21:00
Reporterbeholder 
Assigned Toyupsi 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.74 
Target VersionFixed in Version0.87 
Summary0000162: GUI adventure map - sleep button does not work
DescriptionThe same is for shortcut ('z')
TagsNo tags attached.
Attached Files

- Relationships
related to 0000601closedyupsi no request if hero(or heroes) has enough mp left for move when end-turning 

-  Notes
(0002047)
Zamolxis (viewer)
2011-09-24 00:51
edited on: 2011-09-24 02:03

Just for clarification, in H3, the button and shortcuts worked as follows (aside from the obvious image change):

'z' put the hero to 'sleep'. If any other hero 'awake' AND with movement left was on the map, the hero selection was moving automatically to the next such hero on the list (going back to the start of the list if necessary). If no other hero on the map AND awake AND with movement points, the hero put to sleep remained selected, with the 'Next Hero' button in 'unavailable' status (same as when hero runs out of movement points for the day). And the button remains as such even if we click on another hero and back, until we wake the hero, as 'Next Hero' button cycles only through the Adventure Map heroes which are awake AND have movement points left.

'w' wakes up the hero.

In VCMI, currently 'z' does nothing, while 'w' just activates the clicking animation/sound of the Sleep button.

(0002053)
ubuntux (developer)
2011-09-24 16:50

Fixed in r2393 by yupsi.
(0003696)
Zamolxis (viewer)
2013-06-10 21:00

Checked in 0.93 and confirmed as fixed.

- Issue History
Date Modified Username Field Change
2009-10-15 08:39 beholder New Issue
2009-10-15 22:04 Zamolxis Severity minor => feature
2009-11-21 13:15 Warmonger Category GUI - Other => GUI - Adventure Map
2009-11-21 22:26 Zamolxis Category GUI - Adventure Map => Mechanics - Adventure Map
2010-08-12 09:34 Warmonger Relationship added related to 0000601
2011-09-24 00:51 Zamolxis Note Added: 0002047
2011-09-24 02:03 Zamolxis Note Edited: 0002047 View Revisions
2011-09-24 16:50 ubuntux Note Added: 0002053
2011-09-24 16:50 ubuntux Status new => closed
2011-09-24 16:50 ubuntux Assigned To => ubuntux
2011-09-24 16:50 ubuntux Resolution open => fixed
2011-09-24 17:01 Warmonger Status closed => feedback
2011-09-24 17:01 Warmonger Resolution fixed => reopened
2011-09-24 17:01 Warmonger Status feedback => resolved
2011-09-24 17:01 Warmonger Fixed in Version => 0.89
2011-09-24 17:01 Warmonger Resolution reopened => fixed
2011-09-24 23:11 Tow Assigned To ubuntux => yupsi
2013-06-10 21:00 Zamolxis Note Added: 0003696
2013-06-10 21:00 Zamolxis Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean